<?php 

class TweetMapGenerateMap {

	function generateMap($attrs, $tweets, $twitterUser, $customCSS) {
			
		$attributes = shortcode_atts( array(
			'height' => 400, // number for pixel
			'width' => 600, // number for pixel
			'max' => 30, // number of locations
			'maptype' => 'TERRAIN', // HYBRID, ROADMAP, SATELLITE, TERRAIN
			'mapcontrol' => 'true', //true/false
			'controlstyle'=> 'DROPDOWN_MENU', // DEFAULT, DROPDOWN_MENU, HORIZONTAL_BAR
			'zoomcontrol' => 'true', //true/false
			'zoomstyle' => 'SMALL', // DEFAULT, SMALL, LARGE
			'pancontrol' => 'false', // true/false
			'streetcontrol' => 'false', // true/false
			'haveoverview' => 'false', // true/false
			'openoverview' => 'false', // true/false
			'disabledefaultui' => 'false', //true/false
			'showpath' => 'false', // true/false
			'pathcolor' => 'black', // CSS3 colors
			'pathweight' => 1, // number of pixels
			'pathopacity' => 0.1, //0.0 - 1.0
			'currentcolor' => '#FF0000', // CSS3 colors in HEX, #FF0000 (red)
			'pastcolor' => '#6699ff' //  CSS3 colors in HEX, #6699ff (blue)
		), $attrs);
		
		foreach($attributes as $key => $value) {
			$lcValue = strtolower($value);
			if( $lcValue == 'true' ) {
				$attributes[$key] = true;
			} elseif( $lcValue == 'false' ) {
				$attributes[$key] = false;
			}
		}
		
		ob_start();
	
?>
		<div id="tweetmap_map" style="height:<?php echo $attributes['height']; ?>px; width:<?php echo $attributes['width']; ?>px;<?php echo $customCSS; ?>"></div>	
		<script type="text/javascript">
			var tweets = <?php echo json_encode($tweets); ?>;
			var tweetMapAttributes = <?php echo json_encode($attributes); ?>;
			var twitterUser = "<?php echo $twitterUser; ?>";
		</script>

<?php 

		return ob_get_clean();
	}
} 

?>